function scaleToVal(scale) {
  switch (scale) {
    case 'Strongly agree':
      return 5;
      break;
    case 'Agree':
      return 4;
      break;
    case 'Slightly agree':
      return 3;
      break;
    case 'Slightly disagree':
      return 2;
      break;
    case 'Disagree':
      return 1;
      break;
    case 'Strongly disagree':
      return 0;
      break;
    case 'Very Frequently':
      return 5;
      break;
    case 'Frequently':
      return 4;
      break;
    case 'Occasionally':
      return 3;
      break;
    case 'Rarely':
      return 2;
      break;
    case 'Very Rarely':
      return 1;
      break;
    case 'Never':
      return 0;
      break;
    default:
      return scale;
      break;
  }
}

export function combine(d) {
  d.Platforms =
    d.Q4_1 +
    ',' +
    d.Q4_2 +
    ',' +
    d.Q4_3 +
    ',' +
    d.Q4_4 +
    ',' +
    d.Q4_5 +
    ',' +
    d.Q4_6 +
    ',' +
    d.Q4_7 +
    ',' +
    d.Q4_8 +
    ',' +
    d.Q4_9 +
    ',' +
    d.Q4_10 +
    ',' +
    d.Q4_11 +
    ',' +
    d.Q4_12;
  d.Race = d.Q5 + ',' + d.Q5_8_TEXT;
  d.Gender = d.Q6 + ',' + d.Q6_4_TEXT;
  d.Age = d.Q3;
  d.LGBT = d.Q7;
  d.C1 =
    d.C1_1 +
    ',' +
    d.C1_2 +
    ',' +
    d.C1_3 +
    ',' +
    d.C1_4 +
    ',' +
    d.C1_5 +
    ',' +
    d.C1_6 +
    ',' +
    d.C1_7 +
    ',' +
    d.C1_8 +
    ',' +
    d.C1_9 +
    ',' +
    d.C1_10 +
    ',' +
    d.C1_11 +
    ',' +
    d.C1_12;
  d.C2 =
    d.C2_1 +
    ',' +
    d.C2_2 +
    ',' +
    d.C2_3 +
    ',' +
    d.C2_4 +
    ',' +
    d.C2_5 +
    ',' +
    d.C2_6 +
    ',' +
    d.C2_7 +
    ',' +
    d.C2_8 +
    ',' +
    d.C2_9 +
    ',' +
    d.C2_10 +
    ',' +
    d.C2_11 +
    ',' +
    d.C2_12;
  d.C3 =
    d.C3_1 +
    ',' +
    d.C3_2 +
    ',' +
    d.C3_3 +
    ',' +
    d.C3_4 +
    ',' +
    d.C3_5 +
    ',' +
    d.C3_6 +
    ',' +
    d.C3_7 +
    ',' +
    d.C3_8 +
    ',' +
    d.C3_9 +
    ',' +
    d.C3_10 +
    ',' +
    d.C3_11 +
    ',' +
    d.C3_12;
  d.C4 =
    d.C4_1 +
    ',' +
    d.C4_2 +
    ',' +
    d.C4_3 +
    ',' +
    d.C4_4 +
    ',' +
    d.C4_5 +
    ',' +
    d.C4_6 +
    ',' +
    d.C4_7 +
    ',' +
    d.C4_8 +
    ',' +
    d.C4_9 +
    ',' +
    d.C4_10 +
    ',' +
    d.C4_11 +
    ',' +
    d.C4_12;
  d.C5 =
    d.C5_1 +
    ',' +
    d.C5_2 +
    ',' +
    d.C5_3 +
    ',' +
    d.C5_4 +
    ',' +
    d.C5_5 +
    ',' +
    d.C5_6 +
    ',' +
    d.C5_7 +
    ',' +
    d.C5_8 +
    ',' +
    d.C5_9 +
    ',' +
    d.C5_10 +
    ',' +
    d.C5_11 +
    ',' +
    d.C5_12;
  d.C6 =
    d.C6_1 +
    ',' +
    d.C6_2 +
    ',' +
    d.C6_3 +
    ',' +
    d.C6_4 +
    ',' +
    d.C6_5 +
    ',' +
    d.C6_6 +
    ',' +
    d.C6_7 +
    ',' +
    d.C6_8 +
    ',' +
    d.C6_9 +
    ',' +
    d.C6_10 +
    ',' +
    d.C6_11 +
    ',' +
    d.C6_12;
  d.C7 =
    d.C7_1 +
    ',' +
    d.C7_2 +
    ',' +
    d.C7_3 +
    ',' +
    d.C7_4 +
    ',' +
    d.C7_5 +
    ',' +
    d.C7_6 +
    ',' +
    d.C7_7 +
    ',' +
    d.C7_8 +
    ',' +
    d.C7_9 +
    ',' +
    d.C7_10 +
    ',' +
    d.C7_11 +
    ',' +
    d.C7_12;
  d.S1 =
    d.S1_1 +
    ',' +
    d.S1_2 +
    ',' +
    d.S1_3 +
    ',' +
    d.S1_4 +
    ',' +
    d.S1_5 +
    ',' +
    d.S1_6 +
    ',' +
    d.S1_7 +
    ',' +
    d.S1_8 +
    ',' +
    d.S1_9 +
    ',' +
    d.S1_10 +
    ',' +
    d.S1_11 +
    ',' +
    d.S1_12;
  d.S2 =
    d.S2_1 +
    ',' +
    d.S2_2 +
    ',' +
    d.S2_3 +
    ',' +
    d.S2_4 +
    ',' +
    d.S2_5 +
    ',' +
    d.S2_6 +
    ',' +
    d.S2_7 +
    ',' +
    d.S2_8 +
    ',' +
    d.S2_9 +
    ',' +
    d.S2_10 +
    ',' +
    d.S2_11 +
    ',' +
    d.S2_12;
  d.S3 =
    d.S3_1 +
    ',' +
    d.S3_2 +
    ',' +
    d.S3_3 +
    ',' +
    d.S3_4 +
    ',' +
    d.S3_5 +
    ',' +
    d.S3_6 +
    ',' +
    d.S3_7 +
    ',' +
    d.S3_8 +
    ',' +
    d.S3_9 +
    ',' +
    d.S3_10 +
    ',' +
    d.S3_11 +
    ',' +
    d.S3_12;
  d.S4 =
    d.S4_1 +
    ',' +
    d.S4_2 +
    ',' +
    d.S4_3 +
    ',' +
    d.S4_4 +
    ',' +
    d.S4_5 +
    ',' +
    d.S4_6 +
    ',' +
    d.S4_7 +
    ',' +
    d.S4_8 +
    ',' +
    d.S4_9 +
    ',' +
    d.S4_10 +
    ',' +
    d.S4_11 +
    ',' +
    d.S4_12;
  d.S5 =
    d.S5_1 +
    ',' +
    d.S5_2 +
    ',' +
    d.S5_3 +
    ',' +
    d.S5_4 +
    ',' +
    d.S5_5 +
    ',' +
    d.S5_6 +
    ',' +
    d.S5_7 +
    ',' +
    d.S5_8 +
    ',' +
    d.S5_9 +
    ',' +
    d.S5_10 +
    ',' +
    d.S5_11 +
    ',' +
    d.S5_12;
  d.D1 =
    d.D1_1 +
    ',' +
    d.D1_2 +
    ',' +
    d.D1_3 +
    ',' +
    d.D1_4 +
    ',' +
    d.D1_5 +
    ',' +
    d.D1_6 +
    ',' +
    d.D1_7 +
    ',' +
    d.D1_8 +
    ',' +
    d.D1_9 +
    ',' +
    d.D1_10 +
    ',' +
    d.D1_11 +
    ',' +
    d.D1_12;
  // d.D2 = d.D2_1 + "," +d.D2_2+ "," +d.D2_3+ "," +d.D2_4+ "," +d.D2_5+ "," +d.D2_6+ "," +d.D2_7+ "," +d.D2_8+ "," +d.D2_9+ "," +d.D2_10+ "," +d.D2_11+ "," +d.D2_12;
  // d.D3 = d.D3_1 + "," +d.D3_2+ "," +d.D3_3+ "," +d.D3_4+ "," +d.D3_5+ "," +d.D3_6+ "," +d.D3_7+ "," +d.D3_8+ "," +d.D3_9+ "," +d.D3_10+ "," +d.D3_11+ "," +d.D3_12;
  d.D4 =
    d.D4_1 +
    ',' +
    d.D4_2 +
    ',' +
    d.D4_3 +
    ',' +
    d.D4_4 +
    ',' +
    d.D4_5 +
    ',' +
    d.D4_6 +
    ',' +
    d.D4_7 +
    ',' +
    d.D4_8 +
    ',' +
    d.D4_9 +
    ',' +
    d.D4_10 +
    ',' +
    d.D4_11 +
    ',' +
    d.D4_12;
  d.D5 =
    d.D5_1 +
    ',' +
    d.D5_2 +
    ',' +
    d.D5_3 +
    ',' +
    d.D5_4 +
    ',' +
    d.D5_5 +
    ',' +
    d.D5_6 +
    ',' +
    d.D5_7 +
    ',' +
    d.D5_8 +
    ',' +
    d.D5_9 +
    ',' +
    d.D5_10 +
    ',' +
    d.D5_11 +
    ',' +
    d.D5_12;
  d.D6 =
    d.D6_1 +
    ',' +
    d.D6_2 +
    ',' +
    d.D6_3 +
    ',' +
    d.D6_4 +
    ',' +
    d.D6_5 +
    ',' +
    d.D6_6 +
    ',' +
    d.D6_7 +
    ',' +
    d.D6_8 +
    ',' +
    d.D6_9 +
    ',' +
    d.D6_10 +
    ',' +
    d.D6_11 +
    ',' +
    d.D6_12;
  d.D7 =
    d.D7_1 +
    ',' +
    d.D7_2 +
    ',' +
    d.D7_3 +
    ',' +
    d.D7_4 +
    ',' +
    d.D7_5 +
    ',' +
    d.D7_6 +
    ',' +
    d.D7_7 +
    ',' +
    d.D7_8 +
    ',' +
    d.D7_9 +
    ',' +
    d.D7_10 +
    ',' +
    d.D7_11 +
    ',' +
    d.D7_12;
  d.D8 =
    d.D8_1 +
    ',' +
    d.D8_2 +
    ',' +
    d.D8_3 +
    ',' +
    d.D8_4 +
    ',' +
    d.D8_5 +
    ',' +
    d.D8_6 +
    ',' +
    d.D8_7 +
    ',' +
    d.D8_8 +
    ',' +
    d.D8_9 +
    ',' +
    d.D8_10 +
    ',' +
    d.D8_11 +
    ',' +
    d.D8_12;
  d.A1 =
    d.A1_1 +
    ',' +
    d.A1_2 +
    ',' +
    d.A1_3 +
    ',' +
    d.A1_4 +
    ',' +
    d.A1_5 +
    ',' +
    d.A1_6 +
    ',' +
    d.A1_7 +
    ',' +
    d.A1_8 +
    ',' +
    d.A1_9 +
    ',' +
    d.A1_10 +
    ',' +
    d.A1_11 +
    ',' +
    d.A1_12;
  // d.A2 = d.A2_1 + "," +d.A2_2+ "," +d.A2_3+ "," +d.A2_4+ "," +d.A2_5+ "," +d.A2_6+ "," +d.A2_7+ "," +d.A2_8+ "," +d.A2_9+ "," +d.A2_10+ "," +d.A2_11+ "," +d.A2_12;
  d.A3 =
    d.A3_1 +
    ',' +
    d.A3_2 +
    ',' +
    d.A3_3 +
    ',' +
    d.A3_4 +
    ',' +
    d.A3_5 +
    ',' +
    d.A3_6 +
    ',' +
    d.A3_7 +
    ',' +
    d.A3_8 +
    ',' +
    d.A3_9 +
    ',' +
    d.A3_10 +
    ',' +
    d.A3_11 +
    ',' +
    d.A3_12;
  d.A4 =
    d.A4_1 +
    ',' +
    d.A4_2 +
    ',' +
    d.A4_3 +
    ',' +
    d.A4_4 +
    ',' +
    d.A4_5 +
    ',' +
    d.A4_6 +
    ',' +
    d.A4_7 +
    ',' +
    d.A4_8 +
    ',' +
    d.A4_9 +
    ',' +
    d.A4_10 +
    ',' +
    d.A4_11 +
    ',' +
    d.A4_12;
  d.A5 =
    d.A5_1 +
    ',' +
    d.A5_2 +
    ',' +
    d.A5_3 +
    ',' +
    d.A5_4 +
    ',' +
    d.A5_5 +
    ',' +
    d.A5_6 +
    ',' +
    d.A5_7 +
    ',' +
    d.A5_8 +
    ',' +
    d.A5_9 +
    ',' +
    d.A5_10 +
    ',' +
    d.A5_11 +
    ',' +
    d.A5_12;
  d.A6 =
    d.A6_1 +
    ',' +
    d.A6_2 +
    ',' +
    d.A6_3 +
    ',' +
    d.A6_4 +
    ',' +
    d.A6_5 +
    ',' +
    d.A6_6 +
    ',' +
    d.A6_7 +
    ',' +
    d.A6_8 +
    ',' +
    d.A6_9 +
    ',' +
    d.A6_10 +
    ',' +
    d.A6_11 +
    ',' +
    d.A6_12;
  d.Twitter_community =
    scaleToVal(d.C1.split(',')[0]) +
    ',' +
    scaleToVal(d.C2.split(',')[0]) +
    ',' +
    scaleToVal(d.C3.split(',')[0]) +
    ',' +
    scaleToVal(d.C4.split(',')[0]) +
    ',' +
    scaleToVal(d.C5.split(',')[0]) +
    ',' +
    scaleToVal(d.C6.split(',')[0]) +
    ',' +
    scaleToVal(d.C7.split(',')[0]);
  d.Instagram_community =
    scaleToVal(d.C1.split(',')[1]) +
    ',' +
    scaleToVal(d.C2.split(',')[1]) +
    ',' +
    scaleToVal(d.C3.split(',')[1]) +
    ',' +
    scaleToVal(d.C4.split(',')[1]) +
    ',' +
    scaleToVal(d.C5.split(',')[1]) +
    ',' +
    scaleToVal(d.C6.split(',')[1]) +
    ',' +
    scaleToVal(d.C7.split(',')[1]);
  d.Reddit_community =
    scaleToVal(d.C1.split(',')[2]) +
    ',' +
    scaleToVal(d.C2.split(',')[2]) +
    ',' +
    scaleToVal(d.C3.split(',')[2]) +
    ',' +
    scaleToVal(d.C4.split(',')[2]) +
    ',' +
    scaleToVal(d.C5.split(',')[2]) +
    ',' +
    scaleToVal(d.C6.split(',')[2]) +
    ',' +
    scaleToVal(d.C7.split(',')[2]);
  d.Tumblr_community =
    scaleToVal(d.C1.split(',')[3]) +
    ',' +
    scaleToVal(d.C2.split(',')[3]) +
    ',' +
    scaleToVal(d.C3.split(',')[3]) +
    ',' +
    scaleToVal(d.C4.split(',')[3]) +
    ',' +
    scaleToVal(d.C5.split(',')[3]) +
    ',' +
    scaleToVal(d.C6.split(',')[3]) +
    ',' +
    scaleToVal(d.C7.split(',')[3]);
  d.TikTok_community =
    scaleToVal(d.C1.split(',')[4]) +
    ',' +
    scaleToVal(d.C2.split(',')[4]) +
    ',' +
    scaleToVal(d.C3.split(',')[4]) +
    ',' +
    scaleToVal(d.C4.split(',')[4]) +
    ',' +
    scaleToVal(d.C5.split(',')[4]) +
    ',' +
    scaleToVal(d.C6.split(',')[4]) +
    ',' +
    scaleToVal(d.C7.split(',')[4]);
  d.BeReal_community =
    scaleToVal(d.C1.split(',')[5]) +
    ',' +
    scaleToVal(d.C2.split(',')[5]) +
    ',' +
    scaleToVal(d.C3.split(',')[5]) +
    ',' +
    scaleToVal(d.C4.split(',')[5]) +
    ',' +
    scaleToVal(d.C5.split(',')[5]) +
    ',' +
    scaleToVal(d.C6.split(',')[5]) +
    ',' +
    scaleToVal(d.C7.split(',')[5]);
  d.YouTube_community =
    scaleToVal(d.C1.split(',')[6]) +
    ',' +
    scaleToVal(d.C2.split(',')[6]) +
    ',' +
    scaleToVal(d.C3.split(',')[6]) +
    ',' +
    scaleToVal(d.C4.split(',')[6]) +
    ',' +
    scaleToVal(d.C5.split(',')[6]) +
    ',' +
    scaleToVal(d.C6.split(',')[6]) +
    ',' +
    scaleToVal(d.C7.split(',')[6]);
  d.Snapchat_community =
    scaleToVal(d.C1.split(',')[7]) +
    ',' +
    scaleToVal(d.C2.split(',')[7]) +
    ',' +
    scaleToVal(d.C3.split(',')[7]) +
    ',' +
    scaleToVal(d.C4.split(',')[7]) +
    ',' +
    scaleToVal(d.C5.split(',')[7]) +
    ',' +
    scaleToVal(d.C6.split(',')[7]) +
    ',' +
    scaleToVal(d.C7.split(',')[7]);
  d.Facebook_community =
    scaleToVal(d.C1.split(',')[8]) +
    ',' +
    scaleToVal(d.C2.split(',')[8]) +
    ',' +
    scaleToVal(d.C3.split(',')[8]) +
    ',' +
    scaleToVal(d.C4.split(',')[8]) +
    ',' +
    scaleToVal(d.C5.split(',')[8]) +
    ',' +
    scaleToVal(d.C6.split(',')[8]) +
    ',' +
    scaleToVal(d.C7.split(',')[8]);
  d.FourChan_community =
    scaleToVal(d.C1.split(',')[9]) +
    ',' +
    scaleToVal(d.C2.split(',')[9]) +
    ',' +
    scaleToVal(d.C3.split(',')[9]) +
    ',' +
    scaleToVal(d.C4.split(',')[9]) +
    ',' +
    scaleToVal(d.C5.split(',')[9]) +
    ',' +
    scaleToVal(d.C6.split(',')[9]) +
    ',' +
    scaleToVal(d.C7.split(',')[9]);
  d.LinkedIn_community =
    scaleToVal(d.C1.split(',')[10]) +
    ',' +
    scaleToVal(d.C2.split(',')[10]) +
    ',' +
    scaleToVal(d.C3.split(',')[10]) +
    ',' +
    scaleToVal(d.C4.split(',')[10]) +
    ',' +
    scaleToVal(d.C5.split(',')[10]) +
    ',' +
    scaleToVal(d.C6.split(',')[10]) +
    ',' +
    scaleToVal(d.C7.split(',')[10]);
  d.Twitch_community =
    scaleToVal(d.C1.split(',')[11]) +
    ',' +
    scaleToVal(d.C2.split(',')[11]) +
    ',' +
    scaleToVal(d.C3.split(',')[11]) +
    ',' +
    scaleToVal(d.C4.split(',')[11]) +
    ',' +
    scaleToVal(d.C5.split(',')[11]) +
    ',' +
    scaleToVal(d.C6.split(',')[11]) +
    ',' +
    scaleToVal(d.C7.split(',')[11]);
  d.Twitter_self =
    scaleToVal(d.S1.split(',')[0]) +
    ',' +
    scaleToVal(d.S2.split(',')[0]) +
    ',' +
    scaleToVal(d.S3.split(',')[0]) +
    ',' +
    scaleToVal(d.S4.split(',')[0]) +
    ',' +
    scaleToVal(d.S5.split(',')[0]);
  d.Instagram_self =
    scaleToVal(d.S1.split(',')[1]) +
    ',' +
    scaleToVal(d.S2.split(',')[1]) +
    ',' +
    scaleToVal(d.S3.split(',')[1]) +
    ',' +
    scaleToVal(d.S4.split(',')[1]) +
    ',' +
    scaleToVal(d.S5.split(',')[1]);
  d.Reddit_self =
    scaleToVal(d.S1.split(',')[2]) +
    ',' +
    scaleToVal(d.S2.split(',')[2]) +
    ',' +
    scaleToVal(d.S3.split(',')[2]) +
    ',' +
    scaleToVal(d.S4.split(',')[2]) +
    ',' +
    scaleToVal(d.S5.split(',')[2]);
  d.Tumblr_self =
    scaleToVal(d.S1.split(',')[3]) +
    ',' +
    scaleToVal(d.S2.split(',')[3]) +
    ',' +
    scaleToVal(d.S3.split(',')[3]) +
    ',' +
    scaleToVal(d.S4.split(',')[3]) +
    ',' +
    scaleToVal(d.S5.split(',')[3]);
  d.TikTok_self =
    scaleToVal(d.S1.split(',')[4]) +
    ',' +
    scaleToVal(d.S2.split(',')[4]) +
    ',' +
    scaleToVal(d.S3.split(',')[4]) +
    ',' +
    scaleToVal(d.S4.split(',')[4]) +
    ',' +
    scaleToVal(d.S5.split(',')[4]);
  d.BeReal_self =
    scaleToVal(d.S1.split(',')[5]) +
    ',' +
    scaleToVal(d.S2.split(',')[5]) +
    ',' +
    scaleToVal(d.S3.split(',')[5]) +
    ',' +
    scaleToVal(d.S4.split(',')[5]) +
    ',' +
    scaleToVal(d.S5.split(',')[5]);
  d.YouTube_self =
    scaleToVal(d.S1.split(',')[6]) +
    ',' +
    scaleToVal(d.S2.split(',')[6]) +
    ',' +
    scaleToVal(d.S3.split(',')[6]) +
    ',' +
    scaleToVal(d.S4.split(',')[6]) +
    ',' +
    scaleToVal(d.S5.split(',')[6]);
  d.Snapchat_self =
    scaleToVal(d.S1.split(',')[7]) +
    ',' +
    scaleToVal(d.S2.split(',')[7]) +
    ',' +
    scaleToVal(d.S3.split(',')[7]) +
    ',' +
    scaleToVal(d.S4.split(',')[7]) +
    ',' +
    scaleToVal(d.S5.split(',')[7]);
  d.Facebook_self =
    scaleToVal(d.S1.split(',')[8]) +
    ',' +
    scaleToVal(d.S2.split(',')[8]) +
    ',' +
    scaleToVal(d.S3.split(',')[8]) +
    ',' +
    scaleToVal(d.S4.split(',')[8]) +
    ',' +
    scaleToVal(d.S5.split(',')[8]);
  d.FourChan_self =
    scaleToVal(d.S1.split(',')[9]) +
    ',' +
    scaleToVal(d.S2.split(',')[9]) +
    ',' +
    scaleToVal(d.S3.split(',')[9]) +
    ',' +
    scaleToVal(d.S4.split(',')[9]) +
    ',' +
    scaleToVal(d.S5.split(',')[9]);
  d.LinkedIn_self =
    scaleToVal(d.S1.split(',')[10]) +
    ',' +
    scaleToVal(d.S2.split(',')[10]) +
    ',' +
    scaleToVal(d.S3.split(',')[10]) +
    ',' +
    scaleToVal(d.S4.split(',')[10]) +
    ',' +
    scaleToVal(d.S5.split(',')[10]);
  d.Twitch_self =
    scaleToVal(d.S1.split(',')[11]) +
    ',' +
    scaleToVal(d.S2.split(',')[11]) +
    ',' +
    scaleToVal(d.S3.split(',')[11]) +
    ',' +
    scaleToVal(d.S4.split(',')[11]) +
    ',' +
    scaleToVal(d.S5.split(',')[11]);
  d.Twitter_discovery =
    scaleToVal(d.D1.split(',')[0]) +
    ',' +
    scaleToVal(d.D4.split(',')[0]) +
    ',' +
    scaleToVal(d.D5.split(',')[0]) +
    ',' +
    scaleToVal(d.D6.split(',')[0]) +
    ',' +
    scaleToVal(d.D8.split(',')[0]) +
    ',' +
    scaleToVal(d.D7.split(',')[0]);
  d.Instagram_discovery =
    scaleToVal(d.D1.split(',')[1]) +
    ',' +
    scaleToVal(d.D4.split(',')[1]) +
    ',' +
    scaleToVal(d.D5.split(',')[1]) +
    ',' +
    scaleToVal(d.D6.split(',')[1]) +
    ',' +
    scaleToVal(d.D8.split(',')[1]) +
    ',' +
    scaleToVal(d.D7.split(',')[1]);
  d.Reddit_discovery =
    scaleToVal(d.D1.split(',')[2]) +
    ',' +
    scaleToVal(d.D4.split(',')[2]) +
    ',' +
    scaleToVal(d.D5.split(',')[2]) +
    ',' +
    scaleToVal(d.D6.split(',')[2]) +
    ',' +
    scaleToVal(d.D8.split(',')[2]) +
    ',' +
    scaleToVal(d.D7.split(',')[2]);
  d.Tumblr_discovery =
    scaleToVal(d.D1.split(',')[3]) +
    ',' +
    scaleToVal(d.D4.split(',')[3]) +
    ',' +
    scaleToVal(d.D5.split(',')[3]) +
    ',' +
    scaleToVal(d.D6.split(',')[3]) +
    ',' +
    scaleToVal(d.D8.split(',')[3]) +
    ',' +
    scaleToVal(d.D7.split(',')[3]);
  d.TikTok_discovery =
    scaleToVal(d.D1.split(',')[4]) +
    ',' +
    scaleToVal(d.D4.split(',')[4]) +
    ',' +
    scaleToVal(d.D5.split(',')[4]) +
    ',' +
    scaleToVal(d.D6.split(',')[4]) +
    ',' +
    scaleToVal(d.D8.split(',')[4]) +
    ',' +
    scaleToVal(d.D7.split(',')[4]);
  d.BeReal_discovery =
    scaleToVal(d.D1.split(',')[5]) +
    ',' +
    scaleToVal(d.D4.split(',')[5]) +
    ',' +
    scaleToVal(d.D5.split(',')[5]) +
    ',' +
    scaleToVal(d.D6.split(',')[5]) +
    ',' +
    scaleToVal(d.D8.split(',')[5]) +
    ',' +
    scaleToVal(d.D7.split(',')[5]);
  d.YouTube_discovery =
    scaleToVal(d.D1.split(',')[6]) +
    ',' +
    scaleToVal(d.D4.split(',')[6]) +
    ',' +
    scaleToVal(d.D5.split(',')[6]) +
    ',' +
    scaleToVal(d.D6.split(',')[6]) +
    ',' +
    scaleToVal(d.D8.split(',')[6]) +
    ',' +
    scaleToVal(d.D7.split(',')[6]);
  d.Snapchat_discovery =
    scaleToVal(d.D1.split(',')[7]) +
    ',' +
    scaleToVal(d.D4.split(',')[7]) +
    ',' +
    scaleToVal(d.D5.split(',')[7]) +
    ',' +
    scaleToVal(d.D6.split(',')[7]) +
    ',' +
    scaleToVal(d.D8.split(',')[7]) +
    ',' +
    scaleToVal(d.D7.split(',')[7]);
  d.Facebook_discovery =
    scaleToVal(d.D1.split(',')[8]) +
    ',' +
    scaleToVal(d.D4.split(',')[8]) +
    ',' +
    scaleToVal(d.D5.split(',')[8]) +
    ',' +
    scaleToVal(d.D6.split(',')[8]) +
    ',' +
    scaleToVal(d.D8.split(',')[8]) +
    ',' +
    scaleToVal(d.D7.split(',')[8]);
  d.FourChan_discovery =
    scaleToVal(d.D1.split(',')[9]) +
    ',' +
    scaleToVal(d.D4.split(',')[9]) +
    ',' +
    scaleToVal(d.D5.split(',')[9]) +
    ',' +
    scaleToVal(d.D6.split(',')[9]) +
    ',' +
    scaleToVal(d.D8.split(',')[9]) +
    ',' +
    scaleToVal(d.D7.split(',')[9]);
  d.LinkedIn_discovery =
    scaleToVal(d.D1.split(',')[10]) +
    ',' +
    scaleToVal(d.D4.split(',')[10]) +
    ',' +
    scaleToVal(d.D5.split(',')[10]) +
    ',' +
    scaleToVal(d.D6.split(',')[10]) +
    ',' +
    scaleToVal(d.D8.split(',')[10]) +
    ',' +
    scaleToVal(d.D7.split(',')[10]);
  d.Twitch_discovery =
    scaleToVal(d.D1.split(',')[11]) +
    ',' +
    scaleToVal(d.D4.split(',')[11]) +
    ',' +
    scaleToVal(d.D5.split(',')[11]) +
    ',' +
    scaleToVal(d.D6.split(',')[11]) +
    ',' +
    scaleToVal(d.D8.split(',')[11]) +
    ',' +
    scaleToVal(d.D7.split(',')[11]);
  d.Twitter_agency =
    scaleToVal(d.A1.split(',')[0]) +
    ',' +
    scaleToVal(d.A3.split(',')[0]) +
    ',' +
    scaleToVal(d.A4.split(',')[0]) +
    ',' +
    scaleToVal(d.A5.split(',')[0]) +
    ',' +
    scaleToVal(d.A6.split(',')[0]);
  d.Instagram_agency =
    scaleToVal(d.A1.split(',')[1]) +
    ',' +
    scaleToVal(d.A3.split(',')[1]) +
    ',' +
    scaleToVal(d.A4.split(',')[1]) +
    ',' +
    scaleToVal(d.A5.split(',')[1]) +
    ',' +
    scaleToVal(d.A6.split(',')[1]);
  d.Reddit_agency =
    scaleToVal(d.A1.split(',')[2]) +
    ',' +
    scaleToVal(d.A3.split(',')[2]) +
    ',' +
    scaleToVal(d.A4.split(',')[2]) +
    ',' +
    scaleToVal(d.A5.split(',')[2]) +
    ',' +
    scaleToVal(d.A6.split(',')[2]);
  d.Tumblr_agency =
    scaleToVal(d.A1.split(',')[3]) +
    ',' +
    scaleToVal(d.A3.split(',')[3]) +
    ',' +
    scaleToVal(d.A4.split(',')[3]) +
    ',' +
    scaleToVal(d.A5.split(',')[3]) +
    ',' +
    scaleToVal(d.A6.split(',')[3]);
  d.TikTok_agency =
    scaleToVal(d.A1.split(',')[4]) +
    ',' +
    scaleToVal(d.A3.split(',')[4]) +
    ',' +
    scaleToVal(d.A4.split(',')[4]) +
    ',' +
    scaleToVal(d.A5.split(',')[4]) +
    ',' +
    scaleToVal(d.A6.split(',')[4]);
  d.BeReal_agency =
    scaleToVal(d.A1.split(',')[5]) +
    ',' +
    scaleToVal(d.A3.split(',')[5]) +
    ',' +
    scaleToVal(d.A4.split(',')[5]) +
    ',' +
    scaleToVal(d.A5.split(',')[5]) +
    ',' +
    scaleToVal(d.A6.split(',')[5]);
  d.YouTube_agency =
    scaleToVal(d.A1.split(',')[6]) +
    ',' +
    scaleToVal(d.A3.split(',')[6]) +
    ',' +
    scaleToVal(d.A4.split(',')[6]) +
    ',' +
    scaleToVal(d.A5.split(',')[6]) +
    ',' +
    scaleToVal(d.A6.split(',')[6]);
  d.Snapchat_agency =
    scaleToVal(d.A1.split(',')[7]) +
    ',' +
    scaleToVal(d.A3.split(',')[7]) +
    ',' +
    scaleToVal(d.A4.split(',')[7]) +
    ',' +
    scaleToVal(d.A5.split(',')[7]) +
    ',' +
    scaleToVal(d.A6.split(',')[7]);
  d.Facebook_agency =
    scaleToVal(d.A1.split(',')[8]) +
    ',' +
    scaleToVal(d.A3.split(',')[8]) +
    ',' +
    scaleToVal(d.A4.split(',')[8]) +
    ',' +
    scaleToVal(d.A5.split(',')[8]) +
    ',' +
    scaleToVal(d.A6.split(',')[8]);
  d.FourChan_agency =
    scaleToVal(d.A1.split(',')[9]) +
    ',' +
    scaleToVal(d.A3.split(',')[9]) +
    ',' +
    scaleToVal(d.A4.split(',')[9]) +
    ',' +
    scaleToVal(d.A5.split(',')[9]) +
    ',' +
    scaleToVal(d.A6.split(',')[9]);
  d.LinkedIn_agency =
    scaleToVal(d.A1.split(',')[10]) +
    ',' +
    scaleToVal(d.A3.split(',')[10]) +
    ',' +
    scaleToVal(d.A4.split(',')[10]) +
    ',' +
    scaleToVal(d.A5.split(',')[10]) +
    ',' +
    scaleToVal(d.A6.split(',')[10]);
  d.Twitch_agency =
    scaleToVal(d.A1.split(',')[11]) +
    ',' +
    scaleToVal(d.A3.split(',')[11]) +
    ',' +
    scaleToVal(d.A4.split(',')[11]) +
    ',' +
    scaleToVal(d.A5.split(',')[11]) +
    ',' +
    scaleToVal(d.A6.split(',')[11]);
  // delete d.C1;
  // delete d.C2;
  // delete d.C3;
  // delete d.C4;
  // delete d.C5;
  // delete d.C6;
  // delete d.C7;
  // delete d.S1;
  // delete d.S2;
  // delete d.S3;
  // delete d.S4;
  // delete d.S5;
  // delete d.D1;
  // delete d.D4;
  // delete d.D5;
  // delete d.D6;
  // delete d.D7;
  // delete d.D8;
  // delete d.A1;
  // delete d.A3;
  // delete d.A4;
  // delete d.A5;
  // delete d.A6;
  delete d.Q4_1;
  delete d.Q4_2;
  delete d.Q4_3;
  delete d.Q4_4;
  delete d.Q4_5;
  delete d.Q4_6;
  delete d.Q4_7;
  delete d.Q4_8;
  delete d.Q4_9;
  delete d.Q4_10;
  delete d.Q4_11;
  delete d.Q4_12;
  delete d.C1_1;
  delete d.C1_2;
  delete d.C1_3;
  delete d.C1_4;
  delete d.C1_5;
  delete d.C1_6;
  delete d.C1_7;
  delete d.C1_8;
  delete d.C1_9;
  delete d.C1_10;
  delete d.C1_11;
  delete d.C1_12;
  delete d.C2_1;
  delete d.C2_2;
  delete d.C2_3;
  delete d.C2_4;
  delete d.C2_5;
  delete d.C2_6;
  delete d.C2_7;
  delete d.C2_8;
  delete d.C2_9;
  delete d.C2_10;
  delete d.C2_11;
  delete d.C2_12;
  delete d.C3_1;
  delete d.C3_2;
  delete d.C3_3;
  delete d.C3_4;
  delete d.C3_5;
  delete d.C3_6;
  delete d.C3_7;
  delete d.C3_8;
  delete d.C3_9;
  delete d.C3_10;
  delete d.C3_11;
  delete d.C3_12;
  delete d.C4_1;
  delete d.C4_2;
  delete d.C4_3;
  delete d.C4_4;
  delete d.C4_5;
  delete d.C4_6;
  delete d.C4_7;
  delete d.C4_8;
  delete d.C4_9;
  delete d.C4_10;
  delete d.C4_11;
  delete d.C4_12;
  delete d.C5_1;
  delete d.C5_2;
  delete d.C5_3;
  delete d.C5_4;
  delete d.C5_5;
  delete d.C5_6;
  delete d.C5_7;
  delete d.C5_8;
  delete d.C5_9;
  delete d.C5_10;
  delete d.C5_11;
  delete d.C5_12;
  delete d.C6_1;
  delete d.C6_2;
  delete d.C6_3;
  delete d.C6_4;
  delete d.C6_5;
  delete d.C6_6;
  delete d.C6_7;
  delete d.C6_8;
  delete d.C6_9;
  delete d.C6_10;
  delete d.C6_11;
  delete d.C6_12;
  delete d.C7_1;
  delete d.C7_2;
  delete d.C7_3;
  delete d.C7_4;
  delete d.C7_5;
  delete d.C7_6;
  delete d.C7_7;
  delete d.C7_8;
  delete d.C7_9;
  delete d.C7_10;
  delete d.C7_11;
  delete d.C7_12;
  delete d.S1_1;
  delete d.S1_2;
  delete d.S1_3;
  delete d.S1_4;
  delete d.S1_5;
  delete d.S1_6;
  delete d.S1_7;
  delete d.S1_8;
  delete d.S1_9;
  delete d.S1_10;
  delete d.S1_11;
  delete d.S1_12;
  delete d.S2_1;
  delete d.S2_2;
  delete d.S2_3;
  delete d.S2_4;
  delete d.S2_5;
  delete d.S2_6;
  delete d.S2_7;
  delete d.S2_8;
  delete d.S2_9;
  delete d.S2_10;
  delete d.S2_11;
  delete d.S2_12;
  delete d.S3_1;
  delete d.S3_2;
  delete d.S3_3;
  delete d.S3_4;
  delete d.S3_5;
  delete d.S3_6;
  delete d.S3_7;
  delete d.S3_8;
  delete d.S3_9;
  delete d.S3_10;
  delete d.S3_11;
  delete d.S3_12;
  delete d.S4_1;
  delete d.S4_2;
  delete d.S4_3;
  delete d.S4_4;
  delete d.S4_5;
  delete d.S4_6;
  delete d.S4_7;
  delete d.S4_8;
  delete d.S4_9;
  delete d.S4_10;
  delete d.S4_11;
  delete d.S4_12;
  delete d.S5_1;
  delete d.S5_2;
  delete d.S5_3;
  delete d.S5_4;
  delete d.S5_5;
  delete d.S5_6;
  delete d.S5_7;
  delete d.S5_8;
  delete d.S5_9;
  delete d.S5_10;
  delete d.S5_11;
  delete d.S5_12;
  delete d.D1_1;
  delete d.D1_2;
  delete d.D1_3;
  delete d.D1_4;
  delete d.D1_5;
  delete d.D1_6;
  delete d.D1_7;
  delete d.D1_8;
  delete d.D1_9;
  delete d.D1_10;
  delete d.D1_11;
  delete d.D1_12;
  delete d.D2_1;
  delete d.D2_2;
  delete d.D2_3;
  delete d.D2_4;
  delete d.D2_5;
  delete d.D2_6;
  delete d.D2_7;
  delete d.D2_8;
  delete d.D2_9;
  delete d.D2_10;
  delete d.D2_11;
  delete d.D2_12;
  delete d.D3_1;
  delete d.D3_2;
  delete d.D3_3;
  delete d.D3_4;
  delete d.D3_5;
  delete d.D3_6;
  delete d.D3_7;
  delete d.D3_8;
  delete d.D3_9;
  delete d.D3_10;
  delete d.D3_11;
  delete d.D3_12;
  delete d.D4_1;
  delete d.D4_2;
  delete d.D4_3;
  delete d.D4_4;
  delete d.D4_5;
  delete d.D4_6;
  delete d.D4_7;
  delete d.D4_8;
  delete d.D4_9;
  delete d.D4_10;
  delete d.D4_11;
  delete d.D4_12;
  delete d.D5_1;
  delete d.D5_2;
  delete d.D5_3;
  delete d.D5_4;
  delete d.D5_5;
  delete d.D5_6;
  delete d.D5_7;
  delete d.D5_8;
  delete d.D5_9;
  delete d.D5_10;
  delete d.D5_11;
  delete d.D5_12;
  delete d.D6_1;
  delete d.D6_2;
  delete d.D6_3;
  delete d.D6_4;
  delete d.D6_5;
  delete d.D6_6;
  delete d.D6_7;
  delete d.D6_8;
  delete d.D6_9;
  delete d.D6_10;
  delete d.D6_11;
  delete d.D6_12;
  delete d.D7_1;
  delete d.D7_2;
  delete d.D7_3;
  delete d.D7_4;
  delete d.D7_5;
  delete d.D7_6;
  delete d.D7_7;
  delete d.D7_8;
  delete d.D7_9;
  delete d.D7_10;
  delete d.D7_11;
  delete d.D7_12;
  delete d.D8_1;
  delete d.D8_2;
  delete d.D8_3;
  delete d.D8_4;
  delete d.D8_5;
  delete d.D8_6;
  delete d.D8_7;
  delete d.D8_8;
  delete d.D8_9;
  delete d.D8_10;
  delete d.D8_11;
  delete d.D8_12;
  delete d.A1_1;
  delete d.A1_2;
  delete d.A1_3;
  delete d.A1_4;
  delete d.A1_5;
  delete d.A1_6;
  delete d.A1_7;
  delete d.A1_8;
  delete d.A1_9;
  delete d.A1_10;
  delete d.A1_11;
  delete d.A1_12;
  delete d.A2_1;
  delete d.A2_2;
  delete d.A2_3;
  delete d.A2_4;
  delete d.A2_5;
  delete d.A2_6;
  delete d.A2_7;
  delete d.A2_8;
  delete d.A2_9;
  delete d.A2_10;
  delete d.A2_11;
  delete d.A2_12;
  delete d.A3_1;
  delete d.A3_2;
  delete d.A3_3;
  delete d.A3_4;
  delete d.A3_5;
  delete d.A3_6;
  delete d.A3_7;
  delete d.A3_8;
  delete d.A3_9;
  delete d.A3_10;
  delete d.A3_11;
  delete d.A3_12;
  delete d.A4_1;
  delete d.A4_2;
  delete d.A4_3;
  delete d.A4_4;
  delete d.A4_5;
  delete d.A4_6;
  delete d.A4_7;
  delete d.A4_8;
  delete d.A4_9;
  delete d.A4_10;
  delete d.A4_11;
  delete d.A4_12;
  delete d.A5_1;
  delete d.A5_2;
  delete d.A5_3;
  delete d.A5_4;
  delete d.A5_5;
  delete d.A5_6;
  delete d.A5_7;
  delete d.A5_8;
  delete d.A5_9;
  delete d.A5_10;
  delete d.A5_11;
  delete d.A5_12;
  delete d.A6_1;
  delete d.A6_2;
  delete d.A6_3;
  delete d.A6_4;
  delete d.A6_5;
  delete d.A6_6;
  delete d.A6_7;
  delete d.A6_8;
  delete d.A6_9;
  delete d.A6_10;
  delete d.A6_11;
  delete d.A6_12;
  delete d.Q5_8_TEXT;
  delete d.Q6_4_TEXT;
  delete d.Q2;
  delete d.Q3;
  delete d.Q5;
  delete d.Q6;
  delete d.Q7;
  delete d.C1;
  delete d.C2;
  delete d.C3;
  delete d.C4;
  delete d.C5;
  delete d.C6;
  delete d.C7;
  delete d.S1;
  delete d.S2;
  delete d.S3;
  delete d.S4;
  delete d.S5;
  delete d.D1;
  delete d.D4;
  delete d.D5;
  delete d.D6;
  delete d.D7;
  delete d.D8;
  delete d.A1;
  delete d.A3;
  delete d.A4;
  delete d.A5;
  delete d.A6;  
  return d;
}
